> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runtools.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Sandbox

> Resume a paused sandbox

## Path Parameters

<ParamField path="id" type="string" required>
  Sandbox ID.
</ParamField>

## Response

<ResponseField name="id" type="string">
  Sandbox ID.
</ResponseField>

<ResponseField name="status" type="string">
  Usually `resuming` while the sandbox is coming back online.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.runtools.ai/v1/sandboxes/sandbox-abc123/resume \
    -H "X-API-Key: $RUNTOOLS_API_KEY"
  ```

  ```typescript SDK theme={null}
  await sandbox.resume();
  await sandbox.waitForReady();
  ```
</RequestExample>

<ResponseExample>
  ```json 202 Accepted theme={null}
  {
    "data": {
      "id": "sandbox-abc123",
      "status": "resuming"
    }
  }
  ```
</ResponseExample>

## Notes

* Resumed sandboxes may need a short readiness window before SSH or desktop access is available.
* Use `sandbox.waitForReady()` to wait for SSH readiness from SDK code.
